package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbExamFile;

import java.util.List;
import java.util.Map;

/**
 * 考试拍摄文件Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-14
 */
public interface TbExamFileMapper
{
    /**
     * 查询考试拍摄文件
     *
     * @param examFileId 考试拍摄文件主键
     * @return 考试拍摄文件
     */
    public TbExamFile selectTbExamFileByExamFileId(Long examFileId);

    /**
     * 查询考试拍摄文件列表
     *
     * @param tbExamFile 考试拍摄文件
     * @return 考试拍摄文件集合
     */
    public List<TbExamFile> selectTbExamFileList(TbExamFile tbExamFile);

    /**
     * 新增考试拍摄文件
     *
     * @param tbExamFile 考试拍摄文件
     * @return 结果
     */
    public int insertTbExamFile(TbExamFile tbExamFile);

    /**
     * 修改考试拍摄文件
     *
     * @param tbExamFile 考试拍摄文件
     * @return 结果
     */
    public int updateTbExamFile(TbExamFile tbExamFile);

    /**
     * 删除考试拍摄文件
     *
     * @param examFileId 考试拍摄文件主键
     * @return 结果
     */
    public int deleteTbExamFileByExamFileId(Long examFileId);

    /**
     * 批量删除考试拍摄文件
     *
     * @param examFileIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbExamFileByExamFileIds(Long[] examFileIds);

    /**
     * 我的正式考试拍照列表
     *
     * @param params 参数
     * @return 结果
     */
    public List<Map<String, Object>> getSubjectFormalPhotographList(Map<String,Object> params);
}
